Jump to content

upgrade from ps1.3 to 1.4 (theme compatibility related)


ezakimak
 Share

Recommended Posts

Hi,

I am wishing to upgrade to the latest prestashop (although still in beta) , but I want to continue using my own customized template that I was using since ps1.2 . In this regard is there any special changes that I need to do to my actual theme to be 1.4 compatible ?

thanks

Hugh

Share this post


Link to post
Share on other sites

Yes. PrestaShop v1.4 themes use the stricter Smarty 3, whereas PrestaShop v1.3 and earlier themes use Smarty 2, so your theme won't work unless you go to the bottom of the Preferences tab and switch to Smarty 2. That will let you use your current theme with PrestaShop v1.4, but you won't be able to use any of PrestaShop's new features, only the features in PrestaShop v1.3. If you want to use the new features, you will need to rewrite your theme to work with Smarty 3. I suggest starting with the default PrestaShop v1.4 theme, then modifying it to look like your existing theme. It is a lot of work, I know, but it is worth it for the new features.

Share this post


Link to post
Share on other sites

Yes. PrestaShop v1.4 themes use the stricter Smarty 3, whereas PrestaShop v1.3 and earlier themes use Smarty 2, so your theme won't work unless you go to the bottom of the Preferences tab and switch to Smarty 2. That will let you use your current theme with PrestaShop v1.4, but you won't be able to use any of PrestaShop's new features, only the features in PrestaShop v1.3. If you want to use the new features, you will need to rewrite your theme to work with Smarty 3. I suggest starting with the default PrestaShop v1.4 theme, then modifying it to look like your existing theme. It is a lot of work, I know, but it is worth it for the new features.


But my templates works with PS 1.4 Béta-3 and not with the béta-4, what could be the problem?

Share this post


Link to post
Share on other sites

I have no idea. I guess you mustn't be using any of the new features like one-page checkout, guest checkout, product comparison or geolocalization, which only work with a theme based on the default PrestaShop v1.4 theme. I personally created a new theme for my website from scratch for PrestaShop v1.4 and haven't had any problems.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More